org.apache.hadoop.yarn.webapp.hamlet

## Interface HamletSpec._Option

- All Superinterfaces:
    HamletSpec._, HamletSpec._Child
  All Known Subinterfaces:
    HamletSpec.OPTGROUP, HamletSpec.SELECT
  All Known Implementing Classes:
    Hamlet.OPTGROUP, Hamlet.SELECT
  Enclosing class:
    HamletSpec

      public static interface HamletSpec._Option
      extends HamletSpec._Child

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `HamletSpec.OPTION` | `option()` Add a OPTION element.
    `HamletSpec._Option` | `option(String cdata)` Add a complete OPTION element.

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet.HamletSpec._Child

      `_`

- - ### Method Detail

    - #### option

          HamletSpec.OPTION option()

      Add a OPTION element.
      Returns:
        a new OPTION element builder

    - #### option

          HamletSpec._Option option(String cdata)

      Add a complete OPTION element.
      Parameters:
        `cdata` - the content
      Returns:
        the current element builder

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.